Create for a post
curl --request POST \
--url https://app.tryordinal.com/api/v1/posts/{postId}/engagements \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channel": "LinkedIn",
"engagements": [
{
"type": "Like",
"profileId": "550e8400-e29b-41d4-a716-446655440001",
"reactionType": "Celebrate"
},
{
"type": "Comment",
"profileId": "550e8400-e29b-41d4-a716-446655440002",
"copy": "Great insights! Check out our guide for more details.",
"delaySeconds": 300
},
{
"type": "Repost",
"profileId": "550e8400-e29b-41d4-a716-446655440003",
"delaySeconds": 3600
}
]
}
'import requests
url = "https://app.tryordinal.com/api/v1/posts/{postId}/engagements"
payload = {
"channel": "LinkedIn",
"engagements": [
{
"type": "Like",
"profileId": "550e8400-e29b-41d4-a716-446655440001",
"reactionType": "Celebrate"
},
{
"type": "Comment",
"profileId": "550e8400-e29b-41d4-a716-446655440002",
"copy": "Great insights! Check out our guide for more details.",
"delaySeconds": 300
},
{
"type": "Repost",
"profileId": "550e8400-e29b-41d4-a716-446655440003",
"delaySeconds": 3600
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
channel: 'LinkedIn',
engagements: [
{
type: 'Like',
profileId: '550e8400-e29b-41d4-a716-446655440001',
reactionType: 'Celebrate'
},
{
type: 'Comment',
profileId: '550e8400-e29b-41d4-a716-446655440002',
copy: 'Great insights! Check out our guide for more details.',
delaySeconds: 300
},
{
type: 'Repost',
profileId: '550e8400-e29b-41d4-a716-446655440003',
delaySeconds: 3600
}
]
})
};
fetch('https://app.tryordinal.com/api/v1/posts/{postId}/engagements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"engagements": [
{
"id": "550e8400-e29b-41d4-a716-446655440800",
"type": "Like",
"profileId": "550e8400-e29b-41d4-a716-446655440001",
"copy": null,
"delaySeconds": 0,
"reactionType": "Celebrate"
},
{
"id": "550e8400-e29b-41d4-a716-446655440801",
"type": "Comment",
"profileId": "550e8400-e29b-41d4-a716-446655440002",
"copy": "Great insights! Check out our guide for more details.",
"delaySeconds": 300
},
{
"id": "550e8400-e29b-41d4-a716-446655440802",
"type": "Repost",
"profileId": "550e8400-e29b-41d4-a716-446655440003",
"copy": null,
"delaySeconds": 3600
}
]
}{
"code": "BAD_REQUEST",
"message": "Bad Request",
"data": {
"errors": {
"publishAt": [
"Invalid date format"
],
"status": [
"Invalid enum value"
]
}
}
}{
"code": "UNAUTHORIZED",
"message": "Invalid or unauthorized API key"
}{
"code": "FORBIDDEN",
"message": "Engagement profiles cannot be used for analytics"
}{
"code": "NOT_FOUND",
"message": "Post not found or does not belong to this workspace"
}Engagements
Create for a post
Add engagements (likes, comments, reposts) to a post. Engagements will be executed automatically when the post is published.
Tagging on LinkedIn:
To mention someone in a comment or repost, use the format @[Display Name](urn). See LinkedIn Mentions for details on how to look up URNs.
LinkedIn reaction types: For Like engagements on LinkedIn, you can specify a reaction type (Like, Celebrate, Love, Insightful, Support, Funny). Defaults to Like if not specified. Must not be provided for Comment or Repost.
Validation rules:
copyis required for Comment, optional for Repost, must not be provided for LikedelaySecondsis required for Comment and Repost (any integer from 0 to 86400 — up to 24 hours), must not be provided for LikereactionTypeis only for Like engagements on LinkedIn (defaults to Like if omitted)- Only one Like engagement per profile is allowed
POST
/
posts
/
{postId}
/
engagements
Create for a post
Authorizations
API key authentication. Generate an API key from your workspace settings.
Path Parameters
Post ID (UUID)
Body
application/json
Response
Engagements created
Show child attributes
Show child attributes
Was this page helpful?
⌘I